Subject: Re: [PATCH] reftable: honor core.fsync

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Jan 2024 09:15:02 -0800

Patrick Steinhardt <[email-masked]> writes:

> The topic is currently in `next`, but not yet in `master`, so we might
> still squash it in. Junio, please let me know whether you want to do so
> or whether I shall send this fix-up as a new patch. Thanks!

Any commit in 'next' gets improved only by piling incremental
updates on top with explanation (the idea is: if all of us thought
it has been seen enough eyeballs and yet we later find there was
something we all missed, that is worth a separate explanation---the
primary motivation of the change still was good, but for such and
such reasons we missed this case), unless it turns out that the
approach was fundamentally wrong and such an incremental update
boils down to almost reverting the earlier and replacing with the
newer (in which case, we do revert the earlier and replace it with
the newer, in 'next').

Thanks.